org.eclipse.jgit.lib

## Interface BitmapIndex.Bitmap

All Superinterfaces:
  Iterable<BitmapObject>

All Known Subinterfaces:
  BitmapIndex.BitmapBuilder

Enclosing interface:
  BitmapIndex

    public static interface BitmapIndex.Bitmap
    extends Iterable<BitmapObject>

A bitmap representation of ObjectIds that can be iterated to return the underlying `ObjectId`s or operated on with other `Bitmap`s.

### Method Summary

All Methods Instance Methods Abstract Methods
`BitmapIndex.Bitmap` `andNot(BitmapIndex.Bitmap other)` Bitwise-AND-NOT the current bitmap with the value from the other bitmap.
`Iterator<BitmapObject>` `iterator()` Returns an iterator over a set of elements of type BitmapObject.
`BitmapIndex.Bitmap` `or(BitmapIndex.Bitmap other)` Bitwise-OR the current bitmap with the value from the other bitmap.
`BitmapIndex.Bitmap` `xor(BitmapIndex.Bitmap other)` Bitwise-XOR the current bitmap with the value from the other bitmap.

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Method Detail

#### or

    BitmapIndex.Bitmap or(BitmapIndex.Bitmap other)

Bitwise-OR the current bitmap with the value from the other bitmap.

Parameters:
  `other` - the other bitmap
Returns:
  a bitmap that is the bitwise-OR.

#### andNot

    BitmapIndex.Bitmap andNot(BitmapIndex.Bitmap other)

Bitwise-AND-NOT the current bitmap with the value from the other bitmap.

Parameters:
  `other` - the other bitmap
Returns:
  a bitmap that is the bitwise-AND-NOT.

#### xor

    BitmapIndex.Bitmap xor(BitmapIndex.Bitmap other)

Bitwise-XOR the current bitmap with the value from the other bitmap.

Parameters:
  `other` - the other bitmap
Returns:
  a bitmap that is the bitwise-XOR.

#### iterator

    Iterator<BitmapObject> iterator()

Returns an iterator over a set of elements of type BitmapObject. The BitmapObject instance is reused across calls to `Iterator.next()` for performance reasons.

Specified by:
  `iterator` in interface `Iterable<BitmapObject>`
Returns:
  an Iterator.